This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 861620 - Blacklist Arduino devices
Blacklist Arduino devices
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ModemManager (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-29 10:39 EDT by Ville-Pekka Vainio
Modified: 2013-02-18 02:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-18 02:01:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ville-Pekka Vainio 2012-09-29 10:39:50 EDT
Description of problem:
When attaching an Arduino device, in this case an Arduino Uno, modem-manager tries to open the ttyACM0 device and fails. The Arduino board notices this and it seems that the probes by modem-manager slow down the execution of the code uploaded to the Arduino board.

Version-Release number of selected component (if applicable):
ModemManager-0.6.0.0-1.fc17

The Ubuntu patches, which apparently have not been upstreamed, are here: https://bugs.launchpad.net/ubuntu/+source/modemmanager/+bug/910736
Comment 1 Jacek Pawlyta 2012-10-07 12:24:42 EDT
Confirming the same on Arduini Leonardo, when modem-manager is off 


$cat /usr/share/dbus-1/system-services/org.freedesktop.ModemManager.service 
[D-BUS Service]
Name=org.freedesktop.ModemManager
#Exec=/usr/sbin/modem-manager
Exec=/bin/false
User=root

Arduino UI seems to send sketches to the device, otherwise I get 

"Couldn't find a Leonardo on the selected port"
messages
Comment 2 Jacek Pawlyta 2012-10-07 12:53:34 EDT
adding 

# Arduino
ATTR{idVendor}=="2341",  ENV{ID_MM_DEVICE_IGNORE}="1"

to /usr/lib/udev/rules.d/77-mm-usb-device-blacklist.rules

at list 
fixes the problem also for Arduino devices, I don't think it will work for clones.
Comment 3 Fedora Update System 2013-01-31 08:18:09 EST
ModemManager-0.6.0.0-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ModemManager-0.6.0.0-3.fc17
Comment 4 Fedora Update System 2013-01-31 08:18:35 EST
ModemManager-0.6.0.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ModemManager-0.6.0.0-3.fc18
Comment 5 Fedora Update System 2013-02-01 11:31:09 EST
Package ModemManager-0.6.0.0-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ModemManager-0.6.0.0-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-1670/ModemManager-0.6.0.0-3.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-02-18 02:01:31 EST
ModemManager-0.6.0.0-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-02-18 02:02:33 EST
ModemManager-0.6.0.0-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.